function [fotak, cerna, saturace, skala_cervena, skala_zelena1, skala_modra]=nacteni(FilePath)
%Otevření souboru a získání důležitých informací z IDF snímku
[~,r] = system(['dcraw -v -w -T ' FilePath]);
fotak=[];
for i=10:length(r)
    fotak=[fotak r(i-1)];
    if r(i)==' ' && r(i+1)=='i' && r(i+2)=='m' && r(i+3)=='a' && r(i+4)=='g'
        break
    end
end
f=1;
cerna=[];
for i=1:length(r)
    if r(i)=='n' && r(i+1)=='e' && r(i+2)=='s' && r(i+3)=='s' && r(i+4)==' '
        while r(f+i+4)~=','
            cerna=[cerna r(i+4+f)];
            f=f+1;
        end
    end
end
cerna = str2double(cerna);
f=1;
saturace=[];
for i=1:length(r)
    if r(i)=='t' && r(i+1)=='i' && r(i+2)=='o' && r(i+3)=='n' && r(i+4)==' '
        while r(f+i+4)~=','
            saturace=[saturace r(i+4+f)];
            f=f+1;
        end
    end
end
saturace = str2double(saturace);
for i=1:length(r)
    if r(i)=='i' && r(i+1)=='e' && r(i+2)=='r' && r(i+3)=='s' && r(i+4)==' '
        skala_cervena=r(i+5:i+12);
        skala_zelena1=r(i+14:i+21);
        skala_modra=r(i+23:i+30);
    end
end
skala_cervena = str2double(skala_cervena);
skala_zelena1 = str2double(skala_zelena1);
skala_modra = str2double(skala_modra);
